#include <iostream>
#include "server.h"

std::shared_ptr<spdlog::logger> g_Logger = nullptr;
int main()
{
    g_Logger = get_logger("server", "server.log");
    asio::io_context io_context;
    CTcpServer server(io_context, g_Logger);
    if (!server.start(8080)) {
        return -1;
    }
    io_context.run();
    return 0;
}